#ifndef ET_BOX_H
#define ET_BOX_H

// Includes
#include "object.h"

class etBox : public etObject
{

        // ----- Box state accessor methods -----

        // Size accessor (get/setSize())
        ET_SHARED_VARIABLE(etVector,Size);

    public:

        // Constructor.
        etBox();

        // Copy constructor.
        etBox(const etBox& other);

        // Assignment operator.
        etBox& operator=(const etBox& other);

        // Returns the tool associated with the graphic renderer.  See
        // etObject.
        etBox* clone() const;
		
		
        // Check if the point is inside the object.
		bool cull(etVector l_pos);

		// Returns the force to be applied.  See
		// etForceRenderer.
		etVector computePointForce(etVector l_pos);
		
	private:
		etVector stickPoint;
		etVector scp;
		
		// Direction indicator
		int m_previousDirection;
};

#endif
