#ifndef ET_CYLINDER_H
#define ET_CYLINDER_H

#include <et/common.h>
#include "object.h"

class etCylinder : public etObject {
	
	// ----- Cylinder state accessor methods -----
	
	// Radius accessor (get/setRadius())
	ET_SHARED_VARIABLE(double,Radius);
	
	// Height accessor (get/setHeight())
	ET_SHARED_VARIABLE(double,Height);
	
public:
	
	// Constructor.
	etCylinder();
	
	// Copy constructor.
	etCylinder(const etCylinder& other);
	
	// Assignment operator.
	etCylinder& operator=(const etCylinder& other);
	
	// Returns the tool associated with the graphic renderer.  See
	// etObject.
	etCylinder* clone() const;
	
	// Cull.
	bool cull(etVector l_position);	
	
	// Returns the force to be applied. 
	etVector computePointForce(etVector l_position);
	
private:
	etVector stickPoint;
	etVector scp;
};

#endif
