#include <vector>
#include <list>

static const MAX_DEPTH = 5;

class Node;

class WorldOctree {
	
public:
	WorldOctree(std::vector<csBox3> boundBoxes,std::vector<double> minMaxVec);
	~WorldOctree();

	csBox3 getBox(int nbr) const;
	std::list<int> getNearbyObjects(double x, double y, double z);
	
private:
	int nbrBoxes;
	Node* root;
	std::vector<csBox3> boxes;
	std::vector<double> minMax;
};

///////////////////////////////////////////// Class Node //////////////////////////////////////////////////////////////

class Node {
public:
	Node(WorldOctree* o,double minX,double maxX,double minY,double maxY,double minZ,double maxZ,std::list<int> index,int d);
	~Node();
	std::list<int> getNearbyObjects(double x, double y, double z) const;

private:
	int depth;
	double minX;
	double maxX;
	double minY;
	double maxY;
	double minZ;
	double maxZ;
	double avgX;
	double avgY;
	double avgZ;
	WorldOctree* octree;
	std::vector<Node*> children;
	std::list<int> objectIndex;
};
