#ifndef ET_SPHERE_H
#define ET_SPHERE_H

// Includes
#include <et/common.h>

#include "object.h"

class etSphere : public etObject
{

        // ----- Sphere state accessor methods -----

        // Radius accessor (get/setRadius())
        ET_SHARED_VARIABLE(double,Radius);

    public:

        // Constructor.
        etSphere();

        // Copy constructor.
        etSphere(const etSphere& other);

        // Assignment operator.
        etSphere& operator=(const etSphere& other);

        // Returns the tool associated with the graphic renderer.  See
        // etObject.
        etSphere* clone() const;

        // Cull.
        bool cull(etVector l_position);

        // Returns the force to be applied.
		etVector computePointForce(etVector l_position);
	private:
		etVector stickPoint;
		etVector scp;
};

#endif
